import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONUtil;
import org.apache.log4j.Logger;

public class RequestUtil {

    private final static Logger log = Logger.getLogger(RequestUtil.class);
    private static final String SDK_URL = "http://localhost:";
    private static final String path = "/post";

    public static boolean requestSDK(String port, String requestStr) {
        try {
            String requestFullUrl = SDK_URL + port + path;
            log.info("请求路径：" + requestFullUrl + "，请求入参：" + requestStr);
            String result = HttpUtil.post(requestFullUrl, requestStr);
            return JSONUtil.isJson(result);
        } catch (Exception e) {
            log.error("SDK接口调用异常", e);
            return false;
        }
    }
}
